Create webhook subscription
Creates a subscription from a public webhook endpoint to one public event type. isActive is optional and defaults to true. The endpoint must exist and must be a public webhook endpoint for the authenticated brokerage. Duplicate subscriptions for the same webhookEndpointId and eventType are rejected with 409. After creating the subscription, send a test delivery for the returned subscription id. Subscriptions created through these public APIs deliver version 2 webhook event shapes for the selected event type.
Access to webhook management is gated by brokerage. Talk to Augment to enable access before relying on this endpoint.
Request body for creating a public webhook subscription.
- Type: string · enumevent
Type requiredPublic event type for webhook subscription creation. Call
GET /v2/webhook-event-typesfor the current source of truth.values- T
R A C K I N G _ U P D A T E - S
T O P _ U P D A T E - L
O A D _ C A R R I E R _ U P D A T E - S
E N D _ T M S _ C O M M E N T - S
C H E D U L E D _ C A R R I E R _ O U T R E A C H - U
P L O A D _ F I L E S - P
U S H _ B I D _ T O _ T M S - P
U S H _ L O A D _ D R A F T - C
A R R I E R _ I S S U E _ U P D A T E D
- Type: stringwebhook
Endpoint Id requiredWebhook endpoint ID that should receive this event type
- Type: booleanis
Active Whether this subscription should be active. Defaults to
true.
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.prod.goaugment.com/v2/webhook-subscriptions \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"webhookEndpointId": "endpoint-id",
"eventType": "TRACKING_UPDATE",
"isActive": true
}'
{
"id": "webhook_subscription_01HY...",
"webhookEndpointId": "webhook_endpoint_01HY...",
"eventType": "TRACKING_UPDATE",
"isActive": true
}